MARTe2-core - User story #196

Implement AnyType
19.08.2015 14:58 - Riccardo Vitelli

Status: Closed Start date: 19.08.2015
Priority: Normal Due date:
Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 0.4 Spent time: 0.00 hour
Git branch (link): SVN commit

(link/?p=rev):
Git merge to develop
(link):
Description

Including automatic registration of the type in the ClassRegistryDatabase.

Source code files modified

Source/Core/L0TypeDev/BasicType.h
Source/Core/L0TypeDev/AnyType.h
Source/Core/L0TypeDev/TypeCharacteristics.h
Source/Core/L0TypeDev/Fractionallnteger.h
Source/Core/L0TypeDev/BitRange.h
Source/Core/L0TypeDev/BitBoolean.h

Architecture & design review

As per the original MARTe implementation, this is a support function and does not require formal design in UML.

Code and documentation review
Date of the review: 03/09/2015

Person who did the review: lvan Herrero

Result of review: PASS

List of non-conformities: N/A

Unit test review

Date of the review: 07/09/2015

Person who did the review: lvan Herrero
Result of coverage tests review: PASS
Result of functional tests review: PASS
Result of review: PASS

List of non-conformities: N/A

Associated revisions

Revision 7d3ca15f - 27.08.2015 17:06 - Giuseppe Ferro
Merge remote-tracking branch 'origin/BitField_Handling' into #196_#204_#203_TypeDefinitions
Revision 930d9635 - 28.08.2015 12:03 - Giuseppe Ferro

Merge remote-tracking branch 'origin/BitField_Handling' into
#196_#204_#203_TypeDefinitions

Conflicts:
Source/Core/L0TypeDev/BitField.h
Source/Core/L0TypeDev/TypeDescriptor.h

Revision d25e8e8d - 02.09.2015 10:16 - Giuseppe Ferro

Merge branch '#196_#204_#203_TypeDefinitions' of
https://vcis-gitlab.f4e.europa.eu/aneto/MARTe2.git into
#196_#204_#203_TypeDefinitions

Conflicts:
Test/Core/LOTypeDev/Makefile.inc
Test/GTest/Makefile.inc

Revision e7183b11 - 02.09.2015 10:28 - Llorenc Capella

Merge branch '#196_#204_#203_TypeDefinitions' of
https://vcis-gitlab.f4e.europa.eu/aneto/MARTe2.git into
#196_#204_#203_TypeDefinitions

Conflicts:
Test/Core/LOTypeDev/Makefile.inc
Test/GTest/Makefile.inc

Revision 5586a7c3 - 02.09.2015 15:30 - Giuseppe Ferro
Merge branch '#196_#204_#203_TypeDefinitions' of https://vcis-gitlab.f4e.europa.eu/aneto/MARTe2.qit into #196_#204_#203_TypeDefinitions

Revision 24435cdc - 02.09.2015 15:34 - Llorenc Capella
Merge branch '#196_#204_#203_TypeDefinitions' of https://vcis-gitlab.f4e.europa.eu/aneto/MARTe2.qit into #196_#204_#203_TypeDefinitions

Revision 4f7b0e0f - 03.09.2015 11:06 - LIorenc Capella

Merge branch '#196_#204_#203_TypeDefinitions' of
https://vcis-gitlab.f4e.europa.eu/aneto/MARTe2.git into
#196_#204_#203_TypeDefinitions

Conflicts:
Test/GTest/Makefile.inc

Revision 82761705 - 03.09.2015 11:46 - Llorenc Capella
Merge branch '#196_#204_#203_TypeDefinitions' of https://vcis-gitlab.f4e.europa.eu/aneto/MARTe2.qit into #196_#204_#203_TypeDefinitions

Revision 7dale2b2 - 03.09.2015 11:55 - Llorenc Capella
Merge branch '#196_#204_#203_TypeDefinitions' of https://vcis-qitlab.f4e.europa.eu/aneto/MARTe2.qit into #196_#204_#203_TypeDefinitions

Revision 410fbbf0 - 03.09.2015 14:42 - Llorenc Capella

Merge branch '#196_#204_#203_TypeDefinitions' of
https://vcis-qgitlab.f4e.europa.eu/aneto/MARTe2.git into
#196_#204_#203_TypeDefinitions

Conflicts:
Test/Core/LOTypeDev/Makefile.inc
Test/GTest/Makefile.inc

Revision ac1e7d94 - 03.09.2015 16:10 - Ivan Herrero

#196 - Documentation and format modifications

Revision b2e19465 - 03.09.2015 16:10 - lvan Herrero
Merge branch '#196_#204_#203_TypeDefinitions' of https://vcis-gitlab.f4e.europa.eu/aneto/MARTe2.qit into #196_#204_#203_TypeDefinitions

Revision 78622742 - 03.09.2015 16:43 - Llorenc Capella
Merge branch '#196_#204_#203_TypeDefinitions' of https://vcis-gitlab.f4e.europa.eu/aneto/MARTe2.qit into #196_#204_#203_TypeDefinitions
Revision 3e02016b - 03.09.2015 17:05 - Giuseppe Ferro
Merge branch '#196_#204_#203_TypeDefinitions' of https://vcis-qgitlab.f4e.europa.eu/aneto/MARTe2.qit into #196_#204_#203_TypeDefinitions

Revision 8cac3a53 - 03.09.2015 17:08 - lvan Herrero
Merge branch '#196_#204_#203_TypeDefinitions' of https://vcis-qgitlab.f4e.europa.eu/aneto/MARTe2.qit into #196_#204_#203_TypeDefinitions

Revision 85ec7d62 - 04.09.2015 10:04 - Giuseppe Ferro

Merge branch '#196_#204_#203_TypeDefinitions' of
https://vcis-gitlab.f4e.europa.eu/aneto/MARTe2.git into
#196_#204_#203_TypeDefinitions

Conflicts:
Source/Core/L0TypeDev/FormatDescriptor.h

Revision ea03dceb - 04.09.2015 12:55 - Llorenc Capella
Merge branch '#196_#204_#203_TypeDefinitions' of https://vcis-gitlab.f4e.europa.eu/aneto/MARTe2.qit into #196_#204_#203_TypeDefinitions

Revision 5029684a - 30.09.2015 18:38 - Giuseppe Ferro

DLL support added.
#196

History

#1 - 24.08.2015 15:16 - Riccardo Vitelli

- Target version changed from Backlog to 0.4

#2 - 24.08.2015 15:24 - Riccardo Vitelli
- Description updated

#3 - 27.08.2015 10:15 - Riccardo Vitelli
- Status changed from New to Code: Impl

#4 - 28.08.2015 14:57 - Giuseppe Ferro

- Assignee set to Giuseppe Ferro

#5 - 03.09.2015 11:34 - Giuseppe Ferro

- Description updated

- Status changed from Code: Impl to Code: Rev
- Assignee deleted (Giuseppe Ferro)

Code implementation done: 61fd50a

#6 - 03.09.2015 11:40 - Giuseppe Ferro

- Description updated

#7 - 03.09.2015 12:05 - Ivan Herrero

- Description updated

#8 - 03.09.2015 16:14 - lvan Herrero

- Description updated

#9 - 03.09.2015 16:14 - lvan Herrero

- Assignee set to Ivan Herrero

#10 - 04.09.2015 10:16 - André Neto
- Status changed from Code: Rev to Unit: Impl

#11 - 04.09.2015 10:17 - André Neto
- Status changed from Unit: Impl to Code: Rev
- Assignee deleted (lvan Herrero)

#12 - 04.09.2015 10:17 - André Neto
- Status changed from Code: Rev to Unit: Impl

#13 - 07.09.2015 12:28 - lvan Herrero

- Description updated

#14 - 08.09.2015 09:12 - Ivan Herrero
- Status changed from Unit: Impl to Unit: Rev

#15 - 08.09.2015 09:14 - Ivan Herrero

- Status changed from Unit: Rev to Closed
